Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I was running Apache on Linode. I recently shifted to Lighttpd and removed apache, now whenever I try to install any application I get the following error.

    ivineet:~# apt-get install subversion
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
  libapache2-mod-php5: Depends: apache2-mpm-prefork (> 2.0.52) but it is not going to be installed or
                                apache2-mpm-itk but it is not going to be installed
  subversion: Depends: libsvn1 (= 1.6.12dfsg-6) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
ivineet:~#
share|improve this question
    
Have you tried adding the dependencies, then trying to install the package again? –  TylerShads Nov 20 '11 at 6:42
    
The dependencies are related to Apache and I don't wont to install Apache again –  Vineet Sharma Nov 20 '11 at 13:14

1 Answer 1

As the output suggests it, try to execute apt-get -f install in order to solve the dependency problem. As soon as it is fixed, installing the subversion package again should be working.

share|improve this answer
    
I got this (Reading database ... 18773 files and directories currently installed.) Removing libapache2-mod-php5 ... touch: cannot touch /etc/php5/apache2/.start': No such file or directory dpkg: error processing libapache2-mod-php5 (--remove): subprocess pre-removal script returned error exit status 1 Errors were encountered while processing: libapache2-mod-php5 E: Sub-process /usr/bin/dpkg returned an error code (1)` –  Vineet Sharma Nov 20 '11 at 13:15
    
Try creating the folder /etc/php5/apache2 manually using mkdir -p /etc/php5/apache2 and execute apt-get -f install again. Have you removed this folder manually before removing the package libapache2-mod-php5? If you have removed the apache folders manually, you will probably have to repeat this operation until dpkg can cleanly remove the package. –  uloBasEI Nov 20 '11 at 18:38

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.